> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/fr/web-interface/utilities/api-documentation.md).

# Documentation API

Des instructions détaillées pour l'API REST de Devolutions Server sont disponibles dans la section ***Applications et outils complémentaires*** de l'interface web de Devolutions Server, sous ***Aide et outils*** – ***Documentation API***.

![](https://cdnweb.devolutions.net/docs/DVLS4241_2025_3.png)

Voici à quoi ressemble la fenêtre de l'API REST :

![](https://cdnweb.devolutions.net/docs/DVLS6008_2025_2.png)

Pour vous connecter et utiliser l'API REST, référez-vous au script bash d'exemple ci-dessous. Pour chaque appel API au serveur, assurez-vous de procéder comme suit :

* Remplacez `https://url` par l'URL spécifique de Devolutions Server.
* Remplacez `GUID-OF-VAULT` et `GUID-OF-ENTRY` par les GUID correspondants.

{% hint style="info" %}
Dans cette version de l'API, les mots de passe ne peuvent être récupérés qu'à partir d'entrées de type ***Informations d'identification***.
{% endhint %}

```bash

# Log in and get the token
authResponse=$(curl -s -X POST "https://url/api/v1/login" \
    -H "Content-Type: application/json" \
    -d '{
        "appKey": "appkey",
        "appSecret": "appsecret"
    }')
token=$(echo $authResponse | jq -r '.tokenId')

# Check if the token was successfully obtained
if [ -z "$token" ] || [ "$token" = "null" ]; then
  echo "Failed to login or obtain token."
  exit 1
fi

# Request data using the token
response=$(curl -s -X GET "https://url/api/v1/vault/GUID-OF-VAULT/entry/GUID-OF-ENTRY" \
    -H "Content-Type: application/json" \
    -H "tokenId: $token")

echo $response | jq

# Log out
curl -s -X POST "https://url/api/v1/logout" \
    -H "Content-Type: application/json" \
    -H "tokenId: $token" \
    -H "Content-Length: 0"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/server/fr/web-interface/utilities/api-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
